Component({
  properties: {
    status: {
      type: String,
      value: 'loading' // loading | nomore | empty | error
    },
    loadingText: {
      type: String,
      value: '加载中...'
    },
    emptyText: {
      type: String,
      value: '暂无数据'
    }
  },

  methods: {
    onRetry() {
      this.triggerEvent('retry');
    }
  }
});
